data_pipeline.ipynb : Jupyter notebook to process the Kinome dataset and create the input data for the ML pipeline

deepchem.ipynb : Jupyter notebook containing the code to use the DeepCheem library. I tried to use the available methods and descriptors to predict the off-rate but it's rather hard to use and I did not get any interesting result. Do not waste time with this file

dl.ipynb : Jupyter notebook that contains the code to reproduce the results of the DeepDTA paper and to do transfer learning on the Kinome dataset. It also contains the code necessary to either create the processed KIBA dataset or read-in the dataset provided by the authors of the DeepDTA paper

experiments.ipynb : Jupyter notebook that contains some experiments I decided to perform after talking to Kai from the AstroInformatics group. It contains a simple CV loop and the code necessary to plot the predictions of all the tree in a Random Forest. It also contains the code to do clustering on the compounds based on topological fingerprints and similarity metrics

exploration_pipeline.ipynb : Jupyter notebook to generate all the plots presented during the Group Meeting in May (and many mores). Basically a notebook to visualize rates and descriptors of the Kinome dataset

features_kinome.ipynb, ML_kinome.ipynb : old Jupyter notebooks where I tested the idea of using ML model on molecular descriptors before actually writing good code

pipeline.ipynb : Jupyter notebook containing the ML pipeline for the Kinome dataset. It can be used as an example of the code written in pipeline.py for using molecular descriptors to predict something

